# CustomEventExtras | Android Developers

Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Ctors | Methods | Inherited Methods | [Expand All]
public final class

# CustomEventExtras

extends Object
implements NetworkExtras

java.lang.Object
↳ | com.google.android.gms.ads.mediation.customevent.CustomEventExtras

## Class Overview

Extra parameters for mediation custom events. The extra parameters are stored using the label of the custom event.

## Summary

Public Constructors
| CustomEventExtras()

Public Methods
Object | getExtra(String label) Returns the extra parameter for the custom event with the provided label.
void | setExtra(String label, Object value) Sets an extra parameter for the custom event with the provided label.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Public Constructors

#### public CustomEventExtras ()

## Public Methods

#### public Object getExtra (String label)

Returns the extra parameter for the custom event with the provided label.

#### public void setExtra (String label, Object value)

Sets an extra parameter for the custom event with the provided label.